/** @id $Id$

   This file has been added:
     - by bootstrap.sh
     - on Thu, 08 October 2015 11:56:48 +0200

*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#include <certman.hxx>
#include <QApplication>
#include <QCommandLineParser>
#include <iostream>

int main(int argc, char *argv[]) try {
  QApplication a(argc, argv);
  QCommandLineParser parser;
  parser.addHelpOption();
  parser.process(a);
  QStringList files(parser.positionalArguments());
  CertMan w;
  for (const QString& file: files) {
    if (!w.open(file))
      std::cerr<<"Error reading file: "<<file.toStdString()<<std::endl;
  }
  w.show();
  return a.exec();
 } catch (std::exception &x) {
  std::cerr<<"**** error: "<<x.what()<<std::endl;
  return 1;
 }
